Bug 997263 - qemu-iotests failed with qcow2
qemu-iotests failed with qcow2
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.5
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Kevin Wolf
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 02:16 EDT by ShupingCui
Modified: 2013-09-24 09:55 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-18 05:34:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tests-log (24.58 KB, text/plain)
2013-08-16 00:50 EDT, ShupingCui
no flags Details

  None (edit)
Description ShupingCui 2013-08-15 02:16:00 EDT
Description of problem:
qemu-iotests failed with qcow2 format, tests(026) failed

Version-Release number of selected component (if applicable):
Host:
# uname -r
2.6.32-358.18.1.el6.x86_64
# rpm -qa | grep qemu-kvm
qemu-kvm-rhev-0.12.1.2-2.355.el6_4.7.x86_64
qemu-kvm-rhev-tools-0.12.1.2-2.355.el6_4.7.x86_64
qemu-kvm-rhev-debuginfo-0.12.1.2-2.355.el6_4.7.x86_64


How reproducible:
100%

Steps to Reproduce:
1. clone qemu-iotests code from http://www.kernel.org/pub/scm/linux/kernel/git/hch/qemu-iotests.git
2. cd qemu-iotests and execute test of qcow2
#./check -qcow2
  
Actual results:
Failures: 026

Expected results:
All the tests pass


Additional info:
Comment 5 Suqin Huang 2013-08-16 00:42:29 EDT
What's the error,
Can you provide the detail error info.
Comment 6 ShupingCui 2013-08-16 00:50:04 EDT
Created attachment 787145 [details]
tests-log

pls check the detail log
Comment 9 Kevin Wolf 2013-09-18 05:34:17 EDT
(In reply to ShupingCui from comment #0)
> Steps to Reproduce:
> 1. clone qemu-iotests code from
> http://www.kernel.org/pub/scm/linux/kernel/git/hch/qemu-iotests.git
> 2. cd qemu-iotests and execute test of qcow2
> #./check -qcow2

This is an outdated repository. The current qemu-iotests version can be found
in upstream qemu.git in the directory tests/qemu-iotests/.

Note, however, that these tests are against current upstream versions of qemu,
so a failure of test cases can just mean that the (correct) output differs
between RHEL 6 and upstream, or that RHEL 6 simply doesn't have features that
are tested. So running qemu-iotests against different versions always means
that some failures are expected and the kind of failure needs to be checked.

026 failing with the old hch qemu-iotests repository is expected, the output
has changed.
Comment 10 Qunfang Zhang 2013-09-18 05:44:10 EDT
Hi, Shuping

Could you check the correct qemu-iotests in upstream qemu.git to see if the issue still exists? Thanks.
Comment 11 xu 2013-09-24 04:18:26 EDT
(In reply to Qunfang Zhang from comment #10)
> Hi, Shuping
> 
> Could you check the correct qemu-iotests in upstream qemu.git to see if the
> issue still exists? Thanks.

Hi Qunfang Zhang,

Compare with upstream qemu-kvm with internal qemu-kvm, there has different options and stand output, so if we run upstream qemu-iotests on rhel6 host, 026 will always failed;

Hi Kevin,

can we make qemu-iotest compatible qemu-kvm in rhel6/rhel7?

Thanks,
Xu
Comment 12 Kevin Wolf 2013-09-24 09:55:23 EDT
The RHEL 7 git repository [1] has it's own qemu-iotests copy in-tree. We'll try to
keep this in sync with the actual RHEL 7 code. For RHEL 6 it's too late to get
this easily, so we're not planning to do this.

[1] git://git.app.eng.bos.redhat.com/virt/rhel7/qemu-kvm.git master-1.5.3

Note You need to log in before you can comment on or make changes to this bug.